"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var bootstrap_1 = require("@ts-ioc/bootstrap");
var platform_browser_1 = require("@ts-ioc/platform-browser");
var core_1 = require("@ts-ioc/core");
var processRoot = !core_1.isUndefined(System) ? System.baseURL : '.';
/**
 * browser app.
 *
 * @export
 * @template T
 * @param {string} [baseURL]
 * @returns {IApplicationBuilderBrowser<T>}
 */
function browserApp(baseURL) {
    return new bootstrap_1.ApplicationBuilder(baseURL).use(BrowserBootstrapModule);
}
exports.browserApp = browserApp;
var BrowserBootstrapModule = /** @class */ (function () {
    function BrowserBootstrapModule() {
    }
    BrowserBootstrapModule.getClassAnnations = function () {
        return { "name": "BrowserBootstrapModule", "params": {} };
    };
    BrowserBootstrapModule = tslib_1.__decorate([
        bootstrap_1.DIModule({
            imports: [
                platform_browser_1.BrowserModule
            ],
            providers: [
                { provide: bootstrap_1.ProcessRunRootToken, useValue: processRoot }
            ],
            exports: [
                platform_browser_1.BrowserModule
            ]
        })
    ], BrowserBootstrapModule);
    return BrowserBootstrapModule;
}());
exports.BrowserBootstrapModule = BrowserBootstrapModule;

//# sourceMappingURL=sourcemaps/BootstrapModule.js.map
